﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using FMSAdmin.Models;
using System.Security.Claims;
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authorization;
using FMSAdmin.Data;
using System.Net.Mail;
using System.Net;
using FMSAdmin.Helpers;
using SelectPdf;

namespace FMSAdmin.Controllers {
    [ApiController]
    [ApiVersion("1")]
    [Route("api")]
    public class HomeController : Controller {
        private readonly ILogger<HomeController> _logger;
        private readonly FMSContext _context;
        private readonly StorageHelper _storage;

        public HomeController(
                ILogger<HomeController> logger,
                FMSContext context,
                StorageHelper storage
                ) {
            _logger = logger;
            _context = context;
            _storage = storage;
        }

        [HttpGet]
        public IActionResult Index() {
            return Content("api server");
        }

    }
}
