﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmFacilityTempSet
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int FacilityCode { get; set; }
        public double T1 { get; set; }
        public double T2 { get; set; }
        public double T3 { get; set; }
        public double T4 { get; set; }
        public double T5 { get; set; }
        public double T6 { get; set; }
        public double T7 { get; set; }
        public double T8 { get; set; }
        public double T9 { get; set; }
        public double T10 { get; set; }
        public double T11 { get; set; }
        public double T12 { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("CmFacilityTempSet")]
        public virtual CmFacility CmFacility { get; set; }
        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmFacilityTempSet))]
        public virtual CmSite Site { get; set; }
    }
}
