﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmHoliday
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public short HolidayMonth { get; set; }
        [Key]
        public short HolidayDay { get; set; }
        [Key]
        public bool IsLunar { get; set; }
        [Required]
        [StringLength(16)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmHoliday))]
        public virtual CmSite Site { get; set; }
    }
}
