﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmZoneTempHumiSet
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int BuildingId { get; set; }
        [Key]
        public int FloorId { get; set; }
        [Key]
        public int ZoneId { get; set; }
        public double T1 { get; set; }
        public double T2 { get; set; }
        public double T3 { get; set; }
        public double T4 { get; set; }
        public double T5 { get; set; }
        public double T6 { get; set; }
        public double T7 { get; set; }
        public double T8 { get; set; }
        public double T9 { get; set; }
        public double T10 { get; set; }
        public double T11 { get; set; }
        public double T12 { get; set; }
        public short H1 { get; set; }
        public short H2 { get; set; }
        public short H3 { get; set; }
        public short H4 { get; set; }
        public short H5 { get; set; }
        public short H6 { get; set; }
        public short H7 { get; set; }
        public short H8 { get; set; }
        public short H9 { get; set; }
        public short H10 { get; set; }
        public short H11 { get; set; }
        public short H12 { get; set; }

        [ForeignKey("SiteId,BuildingId")]
        [InverseProperty("CmZoneTempHumiSet")]
        public virtual CmBuilding CmBuilding { get; set; }
        [ForeignKey("SiteId,BuildingId,FloorId")]
        [InverseProperty("CmZoneTempHumiSet")]
        public virtual CmFloor CmFloor { get; set; }
        [ForeignKey("SiteId,BuildingId,FloorId,ZoneId")]
        [InverseProperty("CmZoneTempHumiSet")]
        public virtual CmZone CmZone { get; set; }
        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmZoneTempHumiSet))]
        public virtual CmSite Site { get; set; }
    }
}
