﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMonthlyStoredReleaseStatusView
    {
        public int SiteId { get; set; }
        public int BusinessFieldId { get; set; }
        public int MaterialId { get; set; }
        [Required]
        [StringLength(48)]
        public string MaterialCode { get; set; }
        [Required]
        [StringLength(48)]
        public string Name { get; set; }
        [StringLength(12)]
        public string Unit { get; set; }
        public int? StoredYear { get; set; }
        public int? StoredMonth { get; set; }
        public int? UnitCost { get; set; }
        public int? StockCount { get; set; }
        public int? StoredCount { get; set; }
        public int? ReleaseCount { get; set; }
        public int? ReleaseTotalCost { get; set; }
        public int? StockRemainCount { get; set; }
        public int? StockRemainAmount { get; set; }
        public int? FirstClassId { get; set; }
        public int? SecondClassId { get; set; }
        public int? ThirdClassId { get; set; }
    }
}
