using System.ComponentModel.DataAnnotations;

namespace FMSAdmin.Models {
    public class EnergyDaily {
        public string Date { get; set; }
        public double 전기 { get; set; }
        public double 가스 { get; set; }
        public double 수도 { get; set; }
        public double 등유 { get; set; }
        public double LPG { get; set; }
        public double TOE { get; set; }
        public double 중온수 { get; set; }
        public double 이전_전기 { get; set; }
        public double 이전_가스 { get; set; }
        public double 이전_수도 { get; set; }
        public double 이전_등유 { get; set; }
        public double 이전_LPG { get; set; }
        public double 이전_중온수 { get; set; }
        public double 이전_TOE { get; set; }
    }

    public class EnergyReportGrid {
        [Display(Name = "레포트 타입(1:사용량, 2:단가변동, 3:요금분석")]
        public int Type { get; set; }
        public int FuelTypeId { get; set; }
        public int PriceTypeId { get; set; }
        public string PriceTypeName { get; set; }
        public string PriceCode { get; set; }
        public string PriceCodeName { get; set; }
        public int Year { get; set; }
        public int Date { get; set; }
        public double Value { get; set; }
        public double LastValue { get; set; }
    }
}