using System;
using System.Collections.Generic;
using System.IdentityModel.Tokens.Jwt;
using System.Linq;
using System.Security.Claims;
using System.Text;

using FMSAdmin.Data;
using FMSAdmin.Helpers;
using FMSAdmin.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Microsoft.IdentityModel.Tokens;
using FMSAdmin.Models;

namespace FMSAdmin.Services {
    public class WorkResultToFacilityService {
        private readonly ILogger<WorkResultToFacilityService> _logger;
        private readonly FMSContext _context;


        public WorkResultToFacilityService(
            ILogger<WorkResultToFacilityService> logger,
            FMSContext context) {
            _logger = logger;
            _context = context;
        }


        public IQueryable<FmsWorkResultToFacility> GetAll() {
            var query = _context.FmsWorkResultToFacility;//.AsNoTracking();
            return query;


        }


    }
}