﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsBudgetDetailExecution
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int Year { get; set; }
        [Key]
        public int BudgetClassId { get; set; }
        public int? RootBudgetClassId { get; set; }
        [Key]
        public int ParentBudgetClassId { get; set; }
        [Key]
        public int Month { get; set; }
        public double YearlyBudget { get; set; }
        public double MonthlyBudget { get; set; }
        public double YearlyExecution { get; set; }
        public double MonthlyExecution { get; set; }

        [ForeignKey("SiteId,Year,BudgetClassId,ParentBudgetClassId")]
        [InverseProperty("FmsBudgetDetailExecution")]
        public virtual FmsBudgetDetail FmsBudgetDetail { get; set; }
    }
}
