﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMaterialPurchaseRequestMaterial
    {
        [Key]
        public int SiteId { get; set; }
        public int BusinessFieldId { get; set; }
        [Key]
        public int PurchaseRequestId { get; set; }
        [Key]
        public int MaterialId { get; set; }
        public int MaterialCount { get; set; }

        [ForeignKey("SiteId,MaterialId")]
        [InverseProperty("FmsMaterialPurchaseRequestMaterial")]
        public virtual FmsMaterial FmsMaterial { get; set; }
        [ForeignKey("SiteId,PurchaseRequestId")]
        [InverseProperty("FmsMaterialPurchaseRequestMaterial")]
        public virtual FmsMaterialPurchaseRequest FmsMaterialPurchaseRequest { get; set; }
    }
}
