﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsMaterialReleaseDetail {
        [Key]
        public int MaterialReleaseDetailId { get; set; }
        public int SiteId { get; set; }
        public int MaterialReleaseId { get; set; }
        public int MaterialStoredId { get; set; }
        public int MaterialCount { get; set; }

        [ForeignKey("SiteId,MaterialReleaseId")]
        [InverseProperty("FmsMaterialReleaseDetail")]
        public virtual FmsMaterialRelease FmsMaterialRelease { get; set; }

        [ForeignKey("SiteId,MaterialStoredId")]
        [InverseProperty("FmsMaterialReleaseDetail")]
        public virtual FmsMaterialStored FmsMaterialStored { get; set; }
    }
}
